package com.gic.haoban.manage.web.vo;


import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

public class StoreDetailVO implements Serializable {

    /**
     * @Fields serialVersionUID : TODO
     */
    private static final long serialVersionUID = -2084664462494949485L;
    // Fields
    private String clerkCode;
    private int bindFlag;
    private String storeId;
    private String storeName;
    private String storeCode;
    private String enterpriseId;
    private String conactsPhone;
    private Date openTime;
    private Date closeTime;
    private String storeAddress;
    
    private String openTimeStr;
    private String closeTimeStr;
    private String brandName;
    private String storeGroupId;
    private String storeGroupName;
    private String groupName;

    private String clerkId;

    private List<String> imgList;
    private String storeImage;

    private Double storeArea;
    private String areaId;

    private Object auditDetail;
    
    private Integer auditFlag = 0;
    
    private Integer MainStoreFlag;

	private int memberOpenCardFlag;

	public int getMemberOpenCardFlag() {
		return memberOpenCardFlag;
	}

	public void setMemberOpenCardFlag(int memberOpenCardFlag) {
		this.memberOpenCardFlag = memberOpenCardFlag;
	}

	public Integer getAuditFlag() {
		return auditFlag;
	}

	public void setAuditFlag(Integer auditFlag) {
		this.auditFlag = auditFlag;
	}

	public Object getAuditDetail() {
		return auditDetail;
	}

	public void setAuditDetail(Object auditDetail) {
		this.auditDetail = auditDetail;
	}

	public String getAreaId() {
		return areaId;
	}

	public void setAreaId(String areaId) {
		this.areaId = areaId;
	}

	public String getClerkCode() {
		return clerkCode;
	}

	public void setClerkCode(String clerkCode) {
		this.clerkCode = clerkCode;
	}


	public int getBindFlag() {
		return bindFlag;
	}

	public void setBindFlag(int bindFlag) {
		this.bindFlag = bindFlag;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public String getStoreCode() {
		return storeCode;
	}

	public void setStoreCode(String storeCode) {
		this.storeCode = storeCode;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getConactsPhone() {
		return conactsPhone;
	}

	public void setConactsPhone(String conactsPhone) {
		this.conactsPhone = conactsPhone;
	}

	public Date getOpenTime() {
		return openTime;
	}

	public void setOpenTime(Date openTime) {
		this.openTime = openTime;
	}

	public Date getCloseTime() {
		return closeTime;
	}

	public void setCloseTime(Date closeTime) {
		this.closeTime = closeTime;
	}

	public String getStoreAddress() {
		return storeAddress;
	}

	public void setStoreAddress(String storeAddress) {
		this.storeAddress = storeAddress;
	}

	public String getOpenTimeStr() {
		return openTimeStr;
	}

	public void setOpenTimeStr(String openTimeStr) {
		this.openTimeStr = openTimeStr;
	}

	public String getCloseTimeStr() {
		return closeTimeStr;
	}

	public void setCloseTimeStr(String closeTimeStr) {
		this.closeTimeStr = closeTimeStr;
	}

	public String getBrandName() {
		return brandName;
	}

	public void setBrandName(String brandName) {
		this.brandName = brandName;
	}

	public String getStoreGroupId() {
		return storeGroupId;
	}

	public void setStoreGroupId(String storeGroupId) {
		this.storeGroupId = storeGroupId;
	}

	public String getStoreGroupName() {
		return storeGroupName;
	}

	public void setStoreGroupName(String storeGroupName) {
		this.storeGroupName = storeGroupName;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}



	public List<String> getImgList() {
		return imgList;
	}

	public void setImgList(List<String> imgList) {
		this.imgList = imgList;
	}

	public String getStoreImage() {
		return storeImage;
	}

	public void setStoreImage(String storeImage) {
		this.storeImage = storeImage;
	}

	public Double getStoreArea() {
		return storeArea;
	}

	public void setStoreArea(Double storeArea) {
		this.storeArea = storeArea;
	}

	public Integer getMainStoreFlag() {
		return MainStoreFlag;
	}

	public void setMainStoreFlag(Integer mainStoreFlag) {
		MainStoreFlag = mainStoreFlag;
	}
	
	

}
